# TODO
# - unpackaged:
# /etc/init.d/tlp
Summary:	Power management tool for Linux
Name:		tlp
Version:	1.8.0
Release:	1
License:	GPL v2
Group:		Base
Source0:	https://github.com/linrunner/TLP/archive/%{version}.tar.gz?/%{name}-%{version}.tar.gz
# Source0-md5:	3e29a0e914f25c40c632ea4a49f6c0f3
Source1:	%{name}.tmpfiles
URL:		http://linrunner.de/en/tlp/tlp.html
BuildRequires:	rpmbuild(macros) >= 1.673
Requires:	hdparm
Requires:	iw
Requires:	util-linux >= 2.31
Suggests:	ethtool
Suggests:	smartmontools
Obsoletes:	bash-completion-tlp < 1.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TLP is a power management tool for Linux. It brings you the benefits
of advanced power management without the need to understand every
technical detail.

%prep
%setup -q -n TLP-%{version}

# All scripts here are bash scripts
find ./ -type f -print0 | xargs -0 %{__sed} -i -e '1s,/bin/sh$,%{__bash},'

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install-tlp install-man-tlp \
	DESTDIR=$RPM_BUILD_ROOT \
	TLP_SBIN=%{_sbindir} \
	TLP_BIN=%{_bindir} \
	TLP_FLIB=%{_datadir}/tlp/func.d \
	TLP_TLIB=%{_datadir}/tlp \
	TLP_ULIB=/lib/udev \
	TLP_NMDSP=/etc/NetworkManager/dispatcher.d \
	TLP_SYSD=%{systemdunitdir} \
	TLP_SDSL=/lib/systemd/system-sleep \
	TLP_SHCPL=%{bash_compdir} \
	TLP_FISHCPL=%{fish_compdir} \
	TLP_ZSHCPL=%{zsh_compdir} \

install -d $RPM_BUILD_ROOT%{systemdtmpfilesdir}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post tlp.service

%preun
%systemd_preun tlp.service

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc AUTHORS changelog README.rst
%config(noreplace) %verify(not md5 mtime size) /etc/tlp.conf
%dir /etc/tlp.d
%config(noreplace) %verify(not md5 mtime size) /etc/tlp.d/00-template.conf
/etc/tlp.d/README
/lib/udev/rules.d/85-tlp.rules
%attr(755,root,root) /lib/udev/tlp-usb-udev
%attr(755,root,root) %{_bindir}/bluetooth
%attr(755,root,root) %{_bindir}/nfc
%attr(755,root,root) %{_bindir}/run-on-ac
%attr(755,root,root) %{_bindir}/run-on-bat
%attr(755,root,root) %{_bindir}/tlp-stat
%attr(755,root,root) %{_bindir}/wifi
%attr(755,root,root) %{_bindir}/wwan
%attr(755,root,root) %{_sbindir}/tlp
%{_mandir}/man1/bluetooth.1*
%{_mandir}/man1/nfc.1*
%{_mandir}/man1/run-on-ac.1*
%{_mandir}/man1/run-on-bat.1*
%{_mandir}/man1/wifi.1*
%{_mandir}/man1/wwan.1*
%{_mandir}/man8/tlp.8*
%{_mandir}/man8/tlp-stat.8*
%{_mandir}/man8/tlp.service.8*
%{systemdtmpfilesdir}/%{name}.conf
%{systemdunitdir}/tlp.service
%attr(755,root,root) /lib/systemd/system-sleep/tlp
%dir /var/lib/%{name}
%dir %{_datadir}/tlp
%{_datadir}/tlp/defaults.conf
%{_datadir}/tlp/deprecated.conf
%{_datadir}/tlp/rename.conf
%attr(755,root,root) %{_datadir}/tlp/tlp-func-base
%attr(755,root,root) %{_datadir}/tlp/tlp-pcilist
%attr(755,root,root) %{_datadir}/tlp/tlp-readconfs
%attr(755,root,root) %{_datadir}/tlp/tlp-usblist
%{_datadir}/tlp/bat.d
%{_datadir}/tlp/func.d
%{_datadir}/metainfo/de.linrunner.tlp.metainfo.xml

%{bash_compdir}/bluetooth
%{bash_compdir}/nfc
%{bash_compdir}/run-on-ac
%{bash_compdir}/run-on-bat
%{bash_compdir}/tlp
%{bash_compdir}/tlp-stat
%{bash_compdir}/wifi
%{bash_compdir}/wwan

%{fish_compdir}/bluetooth.fish
%{fish_compdir}/nfc.fish
%{fish_compdir}/run-on-ac.fish
%{fish_compdir}/run-on-bat.fish
%{fish_compdir}/tlp.fish
%{fish_compdir}/tlp-stat.fish
%{fish_compdir}/wifi.fish
%{fish_compdir}/wwan.fish

%{zsh_compdir}/_tlp
%{zsh_compdir}/_tlp-radio-device
%{zsh_compdir}/_tlp-run-on
%{zsh_compdir}/_tlp-stat
%changelog
* Tue May 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tlp.git;a=log;h=master

* Sun May 11 2025 Jan Palus <atler@pld-linux.org> a9f8c7d
- Revert "don't override sleep script location"

* Sun May 11 2025 Jan Palus <atler@pld-linux.org> ab7ebce
- don't override sleep script location

* Sun May 11 2025 Jan Palus <atler@pld-linux.org> caf4053
- cleanup runtime deps

* Sun May 11 2025 Jan Palus <atler@pld-linux.org> 3fda6ea
- up to 1.8.0

* Sun May 11 2025 Jan Palus <atler@pld-linux.org> 2f77512
- drop remainings of now undefined %{_varrun}

* Sat Sep 09 2023 Jan Rękorajski <baggins@pld-linux.org> c1365aa
- rel 2, don't assume /bin/sh is bash

* Sat Sep 09 2023 Jan Rękorajski <baggins@pld-linux.org> 4e7ef12
- up to 1.6.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 6f9d374
- unconditional noarch subpackages

* Sun Mar 15 2020 Jan Palus <atler@pld-linux.org> bb6116b
- up to 1.3.1

* Thu Dec 26 2019 Jan Palus <atler@pld-linux.org> d67b377
- up to 1.2.2

* Sat Apr 20 2019 Jan Palus <atler@pld-linux.org> 8437994
- up to 1.2.1

* Wed Apr 25 2018 Jan Rękorajski <baggins@pld-linux.org> 4943ab6
- updated deps
- rel 2

* Tue Aug 22 2017 Jan Palus <atler@pld-linux.org> 46b7451
- up to 1.0

* Sun Oct 02 2016 Jan Palus <atler@pld-linux.org> 77e74da
- up to 0.9

* Thu Jan 28 2016 Jan Palus <atler@pld-linux.org> b42cf3f
- package tlp-sleep.service

* Mon Aug 17 2015 Elan Ruusamäe <glen@delfi.ee> 64338d9
- install into bash completions 2.0 dir

* Sat Aug 15 2015 Jan Palus <atler@pld-linux.org> 234ab3e
- up to 0.8

* Mon Feb 02 2015 Jan Palus <atler@pld-linux.org> 30eb203
- up to 0.7

* Wed Oct 08 2014 Jan Palus <atler@pld-linux.org> 28c360d
- up to 0.6

* Mon Mar 24 2014 Jan Palus <jan.palus@gmail.com> f3c46d9
- up to 0.5
- adjust for changed variables holding dirs
- DESTDIR is now automatically applied to all destination dirs

